Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(73)

Unified Diff: compiler/scripts/dartc_size.sh

Issue 9466041: Removes dependency on v8 from dartc testing (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Updated date, copyright notices, build.xml Created 8 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « compiler/scripts/dartc_run.sh ('k') | compiler/scripts/dartc_test.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: compiler/scripts/dartc_size.sh
diff --git a/compiler/scripts/dartc_size.sh b/compiler/scripts/dartc_size.sh
deleted file mode 100755
index 8b396cc1873c344804e1203b23e03cae02c927b5..0000000000000000000000000000000000000000
--- a/compiler/scripts/dartc_size.sh
+++ /dev/null
@@ -1,92 +0,0 @@
-#!/bin/bash --posix
-#
-# Copyright (c) 2011, the Dart project authors. Please see the AUTHORS file
-# for details. All rights reserved. Use of this source code is governed by a
-# BSD-style license that can be found in the LICENSE file.
-
-# Compiles the given benchmark and reports its size (zipped and unzipped).
-# Removes 'out' directory if one exists.
-
-# Prevent problems where the caller has exported CLASSPATH, causing our
-# computed value to be copied into the environment and double-counted
-# against the argv limit.
-unset CLASSPATH
-
-# Determine where the libs are
-SCRIPT_DIR=`dirname $0`
-DARTC_HOME=`cd $SCRIPT_DIR; pwd`
-DIST_DIR=$DARTC_HOME/compiler
-DARTC_LIBS=$DIST_DIR/lib
-
-OUT_DIR=out-size
-DARTC_FLAGS="--optimize --out $OUT_DIR"
-
-# Make it easy to insert 'set -x' or similar commands when debugging problems with this script.
-eval "$JAVA_STUB_DEBUG"
-
-JVM_FLAGS=${JVM_FLAGS:-""}
-JVM_FLAGS_CMDLINE=""
-
-while [ ! -z "$1" ]; do
- case "$1" in
- --debug)
- JVM_DEBUG_PORT=${DEFAULT_JVM_DEBUG_PORT:-"5005"}
- shift ;;
- --debug=*)
- JVM_DEBUG_PORT=${1/--debug=/}
- shift ;;
- --jvm_flags=*)
- JVM_FLAGS_CMDLINE="$JVM_FLAGS_CMDLINE ${1/--jvm_flags=/}"
- shift ;;
- *) break ;;
- esac
-done
-
-if [ "$JVM_DEBUG_PORT" != "" ]; then
- JVM_DEBUG_SUSPEND=${DEFAULT_JVM_DEBUG_SUSPEND:-"y"}
- JVM_DEBUG_FLAGS="-agentlib:jdwp=transport=dt_socket,server=y,suspend=${JVM_DEBUG_SUSPEND},address=${JVM_DEBUG_PORT}"
-fi
-
-# Delete existing out directory.
-rm -rf $OUT_DIR
-
-mkdir $OUT_DIR
-
-# Big hack. We assume that the benchmark file is the last one in the list and
-# lives in a directory called 'dart':
-# x/y/dart/BenchmarkName.dart
-# We remove everything (including other files) before the benchmark name, and
-# then remove the extension.
-BENCH_NAME=`echo $@ | sed 's/.*dart\///' | sed 's/.dart//'`
-
-APP_FILE=`readlink -f $1`;
-APP_PATH=$(dirname $APP_FILE)
-
-$JAVABIN -classpath @CLASSPATH@ \
- ${JVM_DEBUG_FLAGS} \
- ${JVM_FLAGS} \
- ${JVM_FLAGS_CMDLINE} \
- com.google.dart.compiler.DartCompiler \
- $DARTC_FLAGS \
- "$APP_FILE"
-
-if [ ! "$? " = "0 " ]; then
- echo "ERROR: Compilation failed." 1>&2
- exit 1
-fi
-
-OUT_FILE=`ls $OUT_DIR/file/$APP_PATH/*.opt.js`
-
-if [ ! "$? " = "0 " ]; then
- echo "ERROR: couldn't find generated javascript file." 1>&2
- exit 3
-fi
-
-NB_APP_JS=`ls $OUT_DIR/file/$APP_PATH/*.opt.js | wc -l`
-if [ "$NB_APP_JS" != "1" ]; then
- echo "ERROR: more than one *.app.opt.js file." 1>&2
- exit 4
-fi
-
-echo "$BENCH_NAME-size: " `cat "$OUT_FILE" | wc -c`
-echo "$BENCH_NAME-zip-size: " `cat "$OUT_FILE" | gzip | wc -c`
« no previous file with comments | « compiler/scripts/dartc_run.sh ('k') | compiler/scripts/dartc_test.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698